Get chat messages sent in the meeting
If the meeting is still in progress, this returns the chat messages sent so far. Results are paginated using cursor pagination.
Path Parameters
- Type: string
object _id requiredBot ID
Query Parameters
- Type: string
cursor Cursor for pagination
- Type: stringFormat: ISO 8601 datetime
updated _after Only return chat messages created after this time. Useful when polling for updates.
Headers
- Type: string
Authorization requiredAPI key for authentication
- Type: string
Content - Type requiredShould always be application/json
Responses
- application/json
404 Bot not found
Request Example for get/api/v1/bots/{object_id}/chat_messages
curl 'https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/chat_messages?cursor=&updated_after=2024-01-18T12%3A34%3A56Z' \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json'
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"id": "string",
"text": "string",
"timestamp_ms": "string",
"timestamp": 1,
"to": "string",
"sender_name": "string",
"sender_uuid": "string",
"sender_user_uuid": null,
"additional_data": null
}
]
}